<template>
  <div class="tv-container">
      
        <div class="container-box">
             <div>
                <div class="el-label"><i class="el-icon-collection-tag"></i>基本信息</div>
                <div class="el-line"></div>
                <baseTable v-if="woNo" :woNo="woNo" step="4" expertLogin="c" @callBack="callBack"/>
                <div class="el-line"></div>
                <div class="el-label"><i class="el-icon-collection-tag"></i>专家登录评审</div>
                <div class="el-line"></div>

                <div>
                  <el-row>
                    <el-col :span="6">&nbsp;</el-col>
                    <el-col :span="12">
                        <el-form ref="form" :model="form" label-width="80px">
                          <el-form-item label="备注信息">
                            <el-input type="textarea" v-model="form.note"></el-input>
                          </el-form-item>
                        </el-form>
                    </el-col>
                    <el-col :span="6">&nbsp;</el-col>
                  </el-row>

                </div>

                <div class="el-line"></div>
                <div class="el-label"></div>
                <div class="el-line"></div>
                <div style="text-align:right">
                  <el-button type="primary" @click="handleAudit">确定</el-button>
                </div>
             </div>
        </div>
        <!--<fullscreen :fullscreen.sync="fullscreen" class="container"></fullscreen>-->
  </div>
</template>

<script>
import baseTable from "./basePeerReview"
export default {
  components:{ baseTable },
  data(){
    return{
      woNo:'',
      itemId:'',
      fullscreen:true,
      form:{note:""},
      assigneeNo:'',
      assigneeName:'',
      bpmInfo:{},
      expertAudit:'N'
    }
  },
  methods:{
    callBack(itemId){
      this.itemId = itemId
    },
    completeTask(){
        if(this.assigneeNo===""){
           this.$message({ showClose: true, message:"数据异常",type: 'error'});
          return 
        }
        //拼装参数
        let info={}
        info.params={"note":this.form.note,"itemId":this.itemId,"woNo":this.woNo, "assigneeNo":this.assigneeNo,"assigneeName":this.assigneeName,"expertAudit":this.expertAudit},
        info.taskId = this.bpmInfo.taskId
        info.woNo = this.bpmInfo.woNo 
        info.stepId = this.bpmInfo.stepId
        info.procId = this.bpmInfo.procId
        info.procVersion = this.bpmInfo.procVersion
        //POST请求
        this.$http({
        url: "/bpm/api/submitTask",
        method: "post",
        headers: {"Content-Type": "application/json"},
        data:info
        }).then((res) => {
         if(res.data.result==0){
            this.$router.push({	path: '/tvIntroduction'});
         }else{
            this.$message({ showClose: true, message: res.data.desc,type: 'error'});
         }
        });
    },


    handleAudit(){

      //检查是否可以提交
      this.$http({
        url: "/market/tvImport/beforePeerReview",
        method: "post",
        headers: {"Content-Type": "application/json"},
        data:{"itemId":this.itemId}
      }).then((res) => {
        if(res.data.result==0){
          let isComplete = res.data.body.isComplete
          let isDown = res.data.body.isDown

          if("0"===isDown){
              this.$message({ showClose: true, message: '本人存在未完成的数据',type: 'error'});
              return false;
           }
          if("0"===isComplete){
              //this.$message({ showClose: true, message: '其他人未完成评审',type: 'error'});
              //this.$router.push({	path: '/tvIntroduction'});
              //return false;
              this.expertAudit = "N"
          }else if("1"===isComplete){
              this.expertAudit = "Y"
          }
         //发起人 评审汇总
          this.$http({
                  url: "/market/tvImport/basicInfo",
                  method: "post",
                  headers: {"Content-Type": "application/json"},
                  data:{"itemId":this.itemId,"woNo":this.woNo}
                }).then((res) => {
                  if(res.data.result==0){
                    this.assigneeNo = res.data.body.imp.createLogin
                    this.assigneeName = res.data.body.imp.createLoginName
                    this.completeTask()
                  }else{
                    this.$message({ showClose: true, message: res.data.desc,type: 'error'});
                  }
                });
          }else{
            this.$message({ showClose: true, message: res.data.desc,type: 'error'});
          }
      });    
    

    }
  },
  mounted(){
    this.woNo = this.$route.query.woNo
    this.bpmInfo.taskId = this.$route.query.taskId
    this.bpmInfo.woNo = this.woNo
    this.bpmInfo.stepId = this.$route.query.stepId
    this.bpmInfo.procId = this.$route.query.procId
    this.bpmInfo.procVersion = this.$route.query.procVersion
  }
}
</script>
<style lang="scss" scoped>
.tv-container{
  background-color: white;
  margin:15px 15px 15px 15px;
  padding:20px ;

}
.el-label{
  /*border-left:5px solid #0b82ff;*/
  /*padding-left:5px;*/
  color: #606266;
  border-bottom:1px dotted #bfc1c5;
  padding-bottom:5px;
}
.el-line{
  margin: 0px 0px 20px 0px;
}
</style>
